=== debian/changelog ===
ros-melodic-eiquadprog (1.2.2-2stretch) stretch; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Olivier Stasse <ostasse@laas.fr>  Fri, 13 Nov 2020 10:48:03 -0000
