=== debian/control ===
Source: ros-melodic-eiquadprog
Section: misc
Priority: optional
Maintainer: Olivier Stasse <ostasse@laas.fr>
Build-Depends: debhelper (>= 9.0.0), cmake, doxygen, git, graphviz, libboost-all-dev, libeigen3-dev
Homepage: git@github.com:stack-of-tasks/eiquadprog.git
Standards-Version: 3.9.2

Package: ros-melodic-eiquadprog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, graphviz, libboost-all-dev, libeigen3-dev, ros-melodic-catkin
Description: Eiquadprog a QP solver using active sets
