## ros-melodic-eiquadprog 1.2.5

=== debian/changelog ===
ros-melodic-eiquadprog (1.2.5-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Guilhem Saurel <guilhem.saurel@laas.fr>  Mon, 24 Oct 2022 13:56:43 -0000
