=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-melodic-eiquadprog
 Section: misc
 Priority: optional
-Maintainer: Olivier Stasse <ostasse@laas.fr>
+Maintainer: Guilhem Saurel <guilhem.saurel@laas.fr>
 Build-Depends: debhelper (>= 9.0.0), cmake, doxygen, git, graphviz, libboost-all-dev, libeigen3-dev
 Homepage: git@github.com:stack-of-tasks/eiquadprog.git
 Standards-Version: 3.9.2
